> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List inference flavors



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/inference/flavors
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/inference/flavors:
    get:
      tags:
        - Everywhere Inference
      summary: List inference flavors
      operationId: InferenceFlavorsHandlerV3.get
      parameters:
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceFlavorOutSerializerV3List'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.cloud.inference.flavors.list()
            page = page.results[0]
            print(page.cpu)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Cloud.Inference.Flavors.List(context.TODO(), cloud.InferenceFlavorListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    InferenceFlavorOutSerializerV3List:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InferenceFlavorOutSerializerV3'
          title: Results
          type: array
      required:
        - count
        - results
      title: InferenceFlavorOutSerializerV3List
      type: object
    InferenceFlavorOutSerializerV3:
      properties:
        cpu:
          description: Inference flavor cpu count.
          example: 2
          examples:
            - 2
          title: Cpu
          type: number
        description:
          description: Inference flavor description.
          example: 1xL40S / 16 vCPU / 232GiB RAM
          examples:
            - 1xL40S / 16 vCPU / 232GiB RAM
          title: Description
          type: string
        gpu:
          description: Inference flavor gpu count.
          example: 1
          examples:
            - 1
          title: Gpu
          type: integer
        gpu_compute_capability:
          description: Inference flavor gpu compute capability.
          example: '8.6'
          examples:
            - '8.6'
          title: Gpu Compute Capability
          type: string
        gpu_memory:
          description: Inference flavor gpu memory in Gi.
          example: 80
          examples:
            - 80
          title: Gpu Memory
          type: number
        gpu_model:
          description: Inference flavor gpu model.
          example: H100
          examples:
            - H100
          title: Gpu Model
          type: string
        is_gpu_shared:
          description: Inference flavor is gpu shared.
          example: false
          examples:
            - false
          title: Is Gpu Shared
          type: boolean
        memory:
          description: Inference flavor memory in Gi.
          example: 4
          examples:
            - 4
          title: Memory
          type: number
        name:
          description: Inference flavor name.
          example: inference-16vcpu-232gib-1xh100-80gb
          examples:
            - inference-16vcpu-232gib-1xh100-80gb
          title: Name
          type: string
      required:
        - name
        - cpu
        - memory
        - gpu
        - gpu_model
        - gpu_memory
        - is_gpu_shared
        - gpu_compute_capability
        - description
      title: InferenceFlavorOutSerializerV3
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````